## lodju 2.2-1

=== Makefile ===
prefix = $(PWD)/test-tree
bindir = $(prefix)/bin
libdir = $(prefix)/lib
sharedir = $(prefix)/share
mandir = $(prefix)/share/man
man1dir = $(mandir)/man1

all: check

check: _lodju.so
	python testrun.py

_lodju.so: _lodjumodule.c
	python setup.py build
	cp build/lib.*/_lodju.so .

install: _lodju.so
	install -d $(bindir)
	install -d $(libdir)
	install -d $(sharedir)
	install -d $(man1dir)
	sed 's#^SHAREDIR.*#SHAREDIR = "$(sharedir)"#' lodju.py | \
	    sed 's#^LIBDIR.*#LIBDIR = "$(libdir)"#;' > $(bindir)/lodju
	chmod 755 $(bindir)/lodju
	install convert-lodju1-to-lodju2.sh $(bindir)/convert-lodju1-to-lodju2
	install _lodju.so $(libdir)
	install -m 0644 lodju.dtd lodju.glade *.png *.py $(sharedir)
	cp -a templates $(sharedir)
	install -m 0644 *.1 $(man1dir)
	rm $(sharedir)/lodju.py

clean:
	rm -rf *.pyc *.pyo _lodju.so build

=== debian/changelog ===
lodju (2.2-1) unstable; urgency=low

  * New upstream version. Fixes the following Debian bug:
    - No automatic save if only folders are deleted (Closes:#224489)
  * debian/control: Added build dependency for python2.3-dev, python-gtk2-dev,
    and libgtk2.0-dev.
  * debian/rules: Removed running of unit tests since they require X.
  
 -- Lars Wirzenius <liw@iki.fi>  Mon, 15 Dec 2003  0:09:26 +0200

lodju (2.1-1) unstable; urgency=low

  * New upstream version.
  * Upstream changes fix the following Debian bugs:
    - #223951: lodju: Loses unsaved data when closed via window close
    - #223322: Saving fails if lodju is started from within the gallery
      directory
  
 -- Lars Wirzenius <liw@iki.fi>  Mon, 15 Dec 2003  0:09:26 +0200

lodju (2.0-1) unstable; urgency=low

  * New upstream version. Finally, a stable version, to be uploaded
    to Debian.
  
  * debian/rules: No longer install manual page(s), the Makefile now
    does that.

 -- Lars Wirzenius <liw@iki.fi>  Sat, 06 Dec 2003 14:42:26 +0200

lodju (1.99.7-1) unstable; urgency=low

  * New upstream version.
  
 -- Lars Wirzenius <liw@iki.fi>  Mon, 17 Nov 2003 00:35:03 +0200

lodju (1.99.6-1) unstable; urgency=low

  * New upstream version.
  
 -- Lars Wirzenius <liw@iki.fi>  Wed, 15 Oct 2003 22:34:00 +0300

lodju (1.99.5-1) unstable; urgency=low

  * New upstream version.
  
  * debian/rules: Only run "$(MAKE)" for build, not "$(MAKE) all check".

 -- Lars Wirzenius <liw@iki.fi>  Sun, 12 Oct 2003 22:39:55 +0300

lodju (1.99.4-1) unstable; urgency=low

  * New upstream version.

 -- Lars Wirzenius <liw@iki.fi>  Sun, 31 Aug 2003 21:14:21 +0300

lodju (1.99.3-1) unstable; urgency=low

  * New upstream version.

 -- Lars Wirzenius <liw@iki.fi>  Thu, 28 Aug 2003 22:29:49 +0300

lodju (1.99.2-1) unstable; urgency=low

  * New upstream version, completely new Debian packaging.

 -- Lars Wirzenius <liw@iki.fi>  Sun, 24 Aug 2003 23:36:48 +0300

=== debian/control ===
Source: lodju
Maintainer: Lars Wirzenius <liw@iki.fi>
Section: gnome
Priority: optional
Standards-Version: 3.5.8
Build-Depends: python2.3, python2.3-glade2, python2.3-gnome2, python2.3-gtk2, python2.3-pyorbit, python2.3-xml, python2.3-dev, python-gtk2-dev, libgtk2.0-dev

Package: lodju
Architecture: any
Depends: python2.3, python2.3-glade2, python2.3-gnome2, python2.3-gtk2, python2.3-pyorbit, python2.3-xml
Description: Photo organizer and web gallery maker
 Lodju is a tool for organizing a photo collection and for making
 web galleries from selected photographs.

=== debian/rules ===
#!/usr/bin/make -f

package=lodju

build:
	$(MAKE) _lodju.so

binary: binary-arch binary-indep

binary-arch:
	rm -rf debian/tmp
	install -d debian/tmp debian/tmp/DEBIAN
	install -d debian/tmp/usr/bin
	install -d debian/tmp/usr/lib/$(package)
	install -d debian/tmp/usr/share/doc/$(package)
	install -d debian/tmp/usr/share/man/man1

	$(MAKE) bindir=debian/tmp/usr/bin \
	    	libdir=debian/tmp/usr/lib/$(package) \
	    	sharedir=debian/tmp/usr/share/$(package) \
	    	man1dir=debian/tmp/usr/share/man/man1 \
		install
	sed 's#^SHAREDIR.*#SHAREDIR = "/usr/share/lodju"#' lodju.py | \
	    sed 's#^LIBDIR.*#LIBDIR = "/usr/lib/lodju"#;' \
	    > debian/tmp/usr/bin/lodju
	chmod +x debian/tmp/usr/bin/lodju
	strip --strip-unneeded -R .note -R .comment \
	    debian/tmp/usr/lib/$(package)/_lodju.so

	cp ChangeLog debian/tmp/usr/share/doc/$(package)/changelog
	cp debian/changelog debian/tmp/usr/share/doc/$(package)/changelog.Debian
	cp NEWS README debian/tmp/usr/share/doc/$(package)/
	gzip -9 debian/tmp/usr/share/doc/$(package)/*
	gzip -9 debian/tmp/usr/share/man/man1/*
	cp debian/copyright debian/tmp/usr/share/doc/$(package)
	dpkg-gencontrol -isp
	chown -R root.root debian/tmp
	chmod -R o-s,go=u,go-ws debian/tmp
	dpkg --build debian/tmp ..

binary-indep:

clean:
	$(MAKE) clean
	rm -rf debian/tmp debian/files *.pyc

## lodju 2.2-1ubuntu1

=== debian/changelog ===
lodju (2.2-1ubuntu1) hoary; urgency=low

  * Python transition (2.3 -> 2.4),
  * updated standards-version to 3.6.1.1,
  * removed CVS/-directories.
  
 -- Daniel Holbach <dh@mailempfang.de>  Mon, 21 Feb 2005 15:11:20 +0100

=== debian/control ===
Source: lodju
Maintainer: Lars Wirzenius <liw@iki.fi>
Section: gnome
Priority: optional
Standards-Version: 3.6.1.1
Build-Depends: python2.4, python2.4-glade2, python2.4-gnome2, python2.4-gtk2, python2.4-pyorbit, python2.4-xml, python2.4-dev, python-gtk2-dev, libgtk2.0-dev

Package: lodju
Architecture: any
Depends: ${python:Depends}, ${shlibs:Depends}, python2.4, python2.4-glade2, python2.4-gnome2, python2.4-gtk2, python2.4-pyorbit, python2.4-xml
Description: Photo organizer and web gallery maker
 Lodju is a tool for organizing a photo collection and for making
 web galleries from selected photographs.
